Vet Med Locations

Supplemental content

Browser requirements

We encourage you to use one of the two latest versions of your favorite browser below:

  • Google Chrome (for Windows and Mac)
  • Firefox (for Windows, Mac, and Linux)
  • Internet Explorer 9 and above (for Windows)
  • Safari (for Mac and Windows)
  • For older versions of these browsers (or alternate browsers not listed), some features may not work as well.

Issues using Internet Explorer

Internet Explorer has Compatibility View, a feature that affects how some websites are displayed. If Compatibility View is enabled, it may cause issues when trying to display our Maps correctly.

How to fix the issue:

  1. Have your Internet Explorer window open.
  2. Press F12 on your keyboard to open the developer tools.
  3. In the browser bar, look for "Browser Mode."
  4. If it says "IE9 Compatibility View," click it and select Internet Explorer 9.
  5. The page should reload properly.